function Spectr=spectr(y,t=[],ffund=0)
  if ((!isempty(t)) && ffund > 0)
    [y,t,nPeriods] = cropperiods(y,t,ffund);
  endif
  
  l = length(y);  
  craw = fft(y);
  if (mod(l,2)==1)
    c = craw(1:(l+1)/2) * 2/l;
  else
    c = craw(1:(l/2+1)) * 2/l;
    c(l/2+1) = craw(l/2+1) * sqrt(2)/l;
  endif
  c(1) = craw(1)/l;
  
  Spectr.k = [0:length(c)-1];
  if (isempty(t))
    Spectr.f = Spectr.k;
  else
    Spectr.f = Spectr.k / sampledinterval(t);
  endif
  Spectr.c = c;
  Spectr.m = abs(c);
  Spectr.rms = Spectr.m / sqrt(2);
  Spectr.rms(1) = Spectr.m(1);
  Spectr.phi = arg(c);
endfunction
