function plot5u_iuTime(OscRecord_C4ini,OscRecord_C4incr,iUg,iIg)
  figure;
  hold on;
  [t,ug] = oscgetxy(OscRecord_C4ini,iUg);
  [iZeroRis, iZeroFal] = levelcross(ug);
  tZero = t(iZeroRis(1));
  [t,ug] = oscgetxy(OscRecord_C4incr,iUg);
  [iZeroRis, iZeroFal] = levelcross(ug);
  deltat = t(iZeroRis(1)) - tZero;
  oscplotch(OscRecord_C4ini,iIg,-tZero,1000,0,"xl","ig / mA, C4");
  oscplotch(OscRecord_C4incr,iIg,-tZero-deltat,1000,0,"xl","ig / mA, C4+C4'");
  oscplotch(OscRecord_C4ini,iUg,-tZero,1,0,"xl","ug / V");
  xlim([0,0.02]);
  grid on;
endfunction
